---
apiVersion: v1
kind: Service
metadata:
  name: dmp-dic
  labels:
    app: dmp-dic
spec:
  selector:
    app: dmp-dic

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: dmp-dic
spec:
  replicas: 1
  selector:
    matchLabels:
      app: dmp-dic
  template:
    metadata:
      labels:
        app: dmp-dic
    spec:
      containers:
      - name: dmp-dic
        image: labisenlin.persagy.com/library/dmp-dic:v2.0.0
        imagePullPolicy: Always
        resources:
          limits:
            memory: 2Gi
          requests:
            memory: 512Mi
        env:
        - name: TZ
          value: Asia/Shanghai
        - name: SERVER_PORT
          value: "8110"
        - name: SPRING_CLOUD_CONFIG_URI
          valueFrom:
            configMapKeyRef:
              name: dmp-dic
              key: spring.cloud.config.uri
        - name: SPRING_PROFILES_ACTIVE
          valueFrom:
            configMapKeyRef:
              name: dmp-dic
              key: spring.profiles.active
        - name: SPRING_CLOUD_CONFIG_PROFILE
          valueFrom:
            configMapKeyRef:
              name: dmp-dic
              key: spring.cloud.config.profile
        - name: EUREKA_CLIENT_FETCH_REGISTRY
          valueFrom:
            configMapKeyRef:
              name: dmp-dic
              key: eureka.client.fetch-registry
        - name: EUREKA_CLIENT_REGISTER_WITH_EUREKA
          valueFrom:
            configMapKeyRef:
              name: dmp-dic
              key: eureka.client.register-with-eureka
        - name: EUREKA_CLIENT_DEFAULT_ZONE
          valueFrom:
            configMapKeyRef:
              name: dmp-dic
              key: eureka.client.default.zone
        - name: EUREKA_INSTANCE_IP_ADDRESS
          valueFrom:
            configMapKeyRef:
              name: dmp-dic
              key: eureka.instance.ip.address